@echo off
:start
echo.
echo Veuillez choisir une couleur :
echo.
echo (1) Cuir carbone fonce,harmonie carbone fonce/beige
echo (2) Cuir beige,harmonie carbone fonce/beige
echo (3) Cuir marron glace, harmonie carbone fonce/beige
echo (4) Cuir carbone fonce,harmonie carbone fonce
echo.
set /p choix= La couleur choisie est :
rem CLS
rem if not '%choix%'== set choix=%choix:~0,1%
if '%choix%'=='1' goto cfb
if '%choix%'=='2' goto cbb
if '%choix%'=='3' goto cmb
if '%choix%'=='4' goto cfc
echo.
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:cfb
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd cuir.ambient "0.020 0.020 0.020 1"
..\..\..\..\ini ..\car.shd cuir.diffuse "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd cuir.specular "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.ambient "0.020 0.020 0.020 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.diffuse "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.specular "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_harmonie.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_moquette.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_moquette.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_moquette.specular "0.038 0.037 0.033 1"
goto amb1
:cbb
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd cuir.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd cuir.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd cuir.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.ambient "0.020 0.020 0.020 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.diffuse "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.specular "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_harmonie.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_moquette.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_moquette.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_moquette.specular "0.038 0.037 0.033 1"
goto amb1
:cmb
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd cuir.ambient "0.03 0.025 0.02 1"
..\..\..\..\ini ..\car.shd cuir.diffuse "0.03 0.025 0.02 1"
..\..\..\..\ini ..\car.shd cuir.specular "0.03 0.025 0.02 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_harmonie.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_harmonie.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_moquette.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_moquette.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_moquette.specular "0.038 0.037 0.033 1"
goto amb1
:cfc
rem echo Vous avez choisi la couleur %choix%
pause
..\..\..\..\ini ..\car.shd cuir.ambient "0.020 0.020 0.020 1"
..\..\..\..\ini ..\car.shd cuir.diffuse "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd cuir.specular "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.ambient "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.diffuse "0.190 0.188 0.165 1"
..\..\..\..\ini ..\car.shd shader_cuir_2.specular "0.038 0.037 0.033 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.ambient "0.020 0.020 0.020 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.diffuse "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_harmonie_2.specular "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_harmonie.ambient "0.020 0.020 0.020 1"
..\..\..\..\ini ..\car.shd shader_harmonie.diffuse "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_harmonie.specular "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_moquette.ambient "0.020 0.020 0.020 1"
..\..\..\..\ini ..\car.shd shader_moquette.diffuse "0.025 0.025 0.025 1"
..\..\..\..\ini ..\car.shd shader_moquette.specular "0.025 0.025 0.025 1"
goto amb1
:amb1
cls
echo.
echo Veuillez choisir une action :
echo.
echo (1) Changer d'harmonie
echo (2) Quitter
echo.
set /p act= Votre action est :
rem CLS
rem if not '%act%'== set act=%act:~0,1%
if '%act%'=='1' goto start
if '%act%'=='2' goto exit
echo "%choix%" choix impossible, veuillez reessayer
pause
cls
:exit
exit
